## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.commonui
Class SchemaObjectsViewerContentProvider

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.commonui.SchemaObjectsViewerContentProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider

    public class SchemaObjectsViewerContentProvider

extends java.lang.Object
implements org.eclipse.jface.viewers.IStructuredContentProvider

The content provider for schema objects viewer

Author:
  Idull

Field Summary
`static int` `INDEXES_TYPE`
`static int` `TRIGGERS_TYPE`

Constructor Summary
`SchemaObjectsViewerContentProvider(int type)`

Method Summary
`void` `dispose()`
`java.lang.Object[]` `getElements(java.lang.Object inputElement)`
`void` `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDEXES_TYPE

    public static final int INDEXES_TYPE

See Also:
  Constant Field Values

### TRIGGERS_TYPE

    public static final int TRIGGERS_TYPE

See Also:
  Constant Field Values

Constructor Detail

### SchemaObjectsViewerContentProvider

    public SchemaObjectsViewerContentProvider(int type)

Method Detail

### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`

### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`